import PropTypes from 'prop-types';
import { toQueryString } from '@s-ui/js/lib/string';
import useVimeoProperties from '../hooks/useVimeoProperties.js';
import { BASE_CLASS, VIMEO_DEFAULT_TITLE } from '../settings/index.js';
import { jsx as _jsx } from "react/jsx-runtime";
var VimeoPlayer = function VimeoPlayer(_ref) {
  var autoPlay = _ref.autoPlay,
    controls = _ref.controls,
    src = _ref.src,
    _ref$title = _ref.title,
    title = _ref$title === void 0 ? VIMEO_DEFAULT_TITLE : _ref$title;
  var _useVimeoProperties = useVimeoProperties(),
    getEmbeddableUrl = _useVimeoProperties.getEmbeddableUrl;
  var params = toQueryString({
    controls: controls ? '1' : '0',
    autoplay: autoPlay ? '1' : '0'
  });
  var videoSrc = getEmbeddableUrl(src) + "?" + params;
  return /*#__PURE__*/_jsx("div", {
    className: BASE_CLASS + "-vimeoPlayer",
    children: /*#__PURE__*/_jsx("iframe", {
      className: BASE_CLASS + "-vimeoPlayerFrame",
      title: title,
      src: videoSrc,
      frameBorder: "0",
      allow: "autoplay; fullscreen; picture-in-picture",
      allowFullScreen: true
    })
  });
};
export default VimeoPlayer;